Bug 986599 - [abrt] blueman-1.23-6.fc19: utils.py:28:warp:DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply ...
[abrt] blueman-1.23-6.fc19: utils.py:28:warp:DBusException: org.freedesktop.D...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:38abe603fd73af77fe62cf82798...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 17:21 EDT by Marcus Summers
Modified: 2014-12-04 20:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 18:47:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.39 KB, text/plain)
2013-07-20 17:21 EDT, Marcus Summers
no flags Details
File: core_backtrace (375 bytes, text/plain)
2013-07-20 17:21 EDT, Marcus Summers
no flags Details
File: environ (1.49 KB, text/plain)
2013-07-20 17:21 EDT, Marcus Summers
no flags Details

  None (edit)
Description Marcus Summers 2013-07-20 17:21:29 EDT
Version-Release number of selected component:
blueman-1.23-6.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/blueman-applet
executable:     /usr/bin/blueman-applet
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
utils.py:28:warp:DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/PowerManager.py", line 95, in timeout
    self.adapter_state = self.get_adapter_state()
  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/PowerManager.py", line 100, in get_adapter_state
    adapters = self.Applet.Manager.ListAdapters()
  File "/usr/lib/python2.7/site-packages/blueman/bluez/utils.py", line 28, in warp
    raise errors.parse_dbus_error(exception)
DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Local variables in innermost frame:
exception: DBusException('Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.',)
args: (<blueman.bluez.Manager.Manager object at 0x7fca1493ec10>,)
func: <function ListAdapters at 0x7fca15ea5c80>
kwargs: {}

Potential duplicate: bug 819127
Comment 1 Marcus Summers 2013-07-20 17:21:32 EDT
Created attachment 776260 [details]
File: backtrace
Comment 2 Marcus Summers 2013-07-20 17:21:34 EDT
Created attachment 776261 [details]
File: core_backtrace
Comment 3 Marcus Summers 2013-07-20 17:21:37 EDT
Created attachment 776263 [details]
File: environ
Comment 4 Juan Manuel Rodriguez 2013-12-09 18:47:22 EST
Hi. I'm closing this bug as Blueman has been retired from Fedora. 

If you wish to file a bug against upstream, a new Blueman fork has been created in this github repository. [1]

I apologize for the inconvenience. 

[1] https://github.com/cschramm/blueman

Note You need to log in before you can comment on or make changes to this bug.